/****************************************************************************************
 Fonts.h

	Contains the fonts used in the VT100 Terminal program


	Copyright (C) 2014 Geoff Graham (projects@geoffg.net)
	All rights reserved.

	This file and the program created from it are FREE FOR COMMERCIAL AND
	NON-COMMERCIAL USE as long as the following conditions are aheared to.

	Copyright remains Geoff Graham's, and as such any Copyright notices in the
	code are not to be removed.  If this code is used in a product,  Geoff Graham
	should be given attribution as the author of the parts used.  This can be in
	the form of a textual message at program startup or in documentation (online
	or textual) provided with the program or product.

	Redistribution and use in source and binary forms, with or without modification,
	are permitted provided that the following conditions  are met:
	1. Redistributions of source code must retain the copyright notice, this list
	   of conditions and the following disclaimer.
	2. Redistributions in binary form must reproduce the above copyright notice, this
	   list of conditions and the following disclaimer in the documentation and/or
	   other materials provided with the distribution.
	3. All advertising materials mentioning features or use of this software must
	   display the following acknowledgement:
	   This product includes software developed by Geoff Graham (projects@geoffg.net)

	THIS SOFTWARE IS PROVIDED BY GEOFF GRAHAM ``AS IS'' AND  ANY EXPRESS OR IMPLIED
	WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
	MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT
	SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
	SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
	PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
	BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
	CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
	IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
	SUCH DAMAGE.

	The licence and distribution terms for any publically available version or
	derivative of this code cannot be changed.  i.e. this code cannot simply be copied
	and put under another distribution licence (including the GNU Public Licence).
****************************************************************************************/



// Dimensions of this font is 5 bits wide and 10 bits high with one blank
// line above, below and to the right.  So overall its dimensions are
// 6 bits wide x 12 bits high.
const unsigned int fontOne[95][6] ={
		{ 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000 },     // SPACE
		{ 0x0000, 0x0000, 0x00BE, 0x0000, 0x0000, 0x0000 },     // !
		{ 0x0000, 0x0006, 0x0000, 0x0006, 0x0000, 0x0000 },     // "
		{ 0x0028, 0x007C, 0x0028, 0x007C, 0x0028, 0x0000 },     // #
		{ 0x0048, 0x0054, 0x00FE, 0x0054, 0x0024, 0x0000 },     // $
		{ 0x0086, 0x0066, 0x0010, 0x00CC, 0x00C2, 0x0000 },     // %
		{ 0x006C, 0x0092, 0x00AA, 0x0044, 0x00A0, 0x0000 },     // &
		{ 0x0000, 0x000A, 0x0006, 0x0000, 0x0000, 0x0000 },     // '
		{ 0x0000, 0x0038, 0x0044, 0x0082, 0x0000, 0x0000 },     // (
		{ 0x0000, 0x0082, 0x0044, 0x0038, 0x0000, 0x0000 },     // )
		{ 0x0028, 0x0010, 0x007C, 0x0010, 0x0028, 0x0000 },     // *
		{ 0x0010, 0x0010, 0x007C, 0x0010, 0x0010, 0x0000 },     // +
		{ 0x0000, 0x0280, 0x0180, 0x0000, 0x0000, 0x0000 },     // ,
		{ 0x0010, 0x0010, 0x0010, 0x0010, 0x0010, 0x0000 },     // -
		{ 0x0000, 0x00C0, 0x00C0, 0x0000, 0x0000, 0x0000 },     // .
		{ 0x0040, 0x0020, 0x0010, 0x0008, 0x0004, 0x0000 },     // /
		{ 0x007C, 0x00A2, 0x0092, 0x008A, 0x007C, 0x0000 },     // 0
		{ 0x0008, 0x0004, 0x00FE, 0x0000, 0x0000, 0x0000 },     // 1
		{ 0x0084, 0x00C2, 0x00A2, 0x0092, 0x008C, 0x0000 },     // 2
		{ 0x0044, 0x0082, 0x0092, 0x0092, 0x006C, 0x0000 },     // 3
		{ 0x0030, 0x0028, 0x0024, 0x00FE, 0x0020, 0x0000 },     // 4
		{ 0x004E, 0x008A, 0x008A, 0x008A, 0x0072, 0x0000 },     // 5
		{ 0x007C, 0x0092, 0x0092, 0x0092, 0x0064, 0x0000 },     // 6
		{ 0x0002, 0x0002, 0x00E2, 0x0012, 0x000E, 0x0000 },     // 7
		{ 0x006C, 0x0092, 0x0092, 0x0092, 0x006C, 0x0000 },     // 8
		{ 0x004C, 0x0092, 0x0092, 0x0092, 0x007C, 0x0000 },     // 9
		{ 0x0000, 0x006C, 0x006C, 0x0000, 0x0000, 0x0000 },     // :
		{ 0x0000, 0x00AC, 0x006C, 0x0000, 0x0000, 0x0000 },     // ;
		{ 0x0010, 0x0028, 0x0044, 0x0082, 0x0000, 0x0000 },     // <
		{ 0x0028, 0x0028, 0x0028, 0x0028, 0x0028, 0x0000 },     // =
		{ 0x0000, 0x0082, 0x0044, 0x0028, 0x0010, 0x0000 },     // >
		{ 0x0004, 0x0002, 0x00A2, 0x0012, 0x000C, 0x0000 },     // ?
		{ 0x007C, 0x0082, 0x00B2, 0x00AA, 0x00BC, 0x0000 },     // @
		{ 0x00FC, 0x0012, 0x0012, 0x0012, 0x00FC, 0x0000 },     // A
		{ 0x00FE, 0x0092, 0x0092, 0x0092, 0x006C, 0x0000 },     // B
		{ 0x007C, 0x0082, 0x0082, 0x0082, 0x0044, 0x0000 },     // C
		{ 0x00FE, 0x0082, 0x0082, 0x0082, 0x007C, 0x0000 },     // D
		{ 0x00FE, 0x0092, 0x0092, 0x0092, 0x0082, 0x0000 },     // E
		{ 0x00FE, 0x0012, 0x0012, 0x0012, 0x0002, 0x0000 },     // F
		{ 0x007C, 0x0082, 0x0082, 0x0092, 0x0074, 0x0000 },     // G
		{ 0x00FE, 0x0010, 0x0010, 0x0010, 0x00FE, 0x0000 },     // H
		{ 0x0000, 0x0082, 0x00FE, 0x0082, 0x0000, 0x0000 },     // I
		{ 0x0060, 0x0080, 0x0080, 0x0080, 0x007E, 0x0000 },     // J
		{ 0x00FE, 0x0010, 0x0028, 0x0044, 0x0082, 0x0000 },     // K
		{ 0x00FE, 0x0080, 0x0080, 0x0080, 0x0080, 0x0000 },     // L
		{ 0x00FE, 0x0004, 0x0018, 0x0004, 0x00FE, 0x0000 },     // M
		{ 0x00FE, 0x0004, 0x0008, 0x0010, 0x00FE, 0x0000 },     // N
		{ 0x007C, 0x0082, 0x0082, 0x0082, 0x007C, 0x0000 },     // O
		{ 0x00FE, 0x0012, 0x0012, 0x0012, 0x000C, 0x0000 },     // P
		{ 0x003C, 0x0042, 0x0042, 0x0042, 0x00BC, 0x0000 },     // Q
		{ 0x00FE, 0x0012, 0x0012, 0x0012, 0x00EC, 0x0000 },     // R
		{ 0x004C, 0x0092, 0x0092, 0x0092, 0x0064, 0x0000 },     // S
		{ 0x0002, 0x0002, 0x00FE, 0x0002, 0x0002, 0x0000 },     // T
		{ 0x007E, 0x0080, 0x0080, 0x0080, 0x007E, 0x0000 },     // U
		{ 0x003E, 0x0040, 0x0080, 0x0040, 0x003E, 0x0000 },     // V
		{ 0x00FE, 0x0040, 0x0020, 0x0040, 0x00FE, 0x0000 },     // W
		{ 0x0082, 0x0044, 0x0038, 0x0044, 0x0082, 0x0000 },     // X
		{ 0x000E, 0x0010, 0x00E0, 0x0010, 0x000E, 0x0000 },     // Y
		{ 0x00C2, 0x00A2, 0x0092, 0x008A, 0x0086, 0x0000 },     // Z
		{ 0x0000, 0x00FE, 0x0082, 0x0000, 0x0000, 0x0000 },     // [
		{ 0x0004, 0x0008, 0x0010, 0x0020, 0x0040, 0x0000 },     // backslash
		{ 0x0000, 0x0000, 0x0082, 0x00FE, 0x0000, 0x0000 },     // ]
		{ 0x0008, 0x0004, 0x0002, 0x0004, 0x0008, 0x0000 },     // ^
		{ 0x0080, 0x0080, 0x0080, 0x0080, 0x0080, 0x0000 },     // _
		{ 0x0000, 0x0002, 0x0004, 0x0008, 0x0000, 0x0000 },     // `
		{ 0x0040, 0x00A8, 0x00A8, 0x00A8, 0x00F0, 0x0000 },     // a
		{ 0x00FE, 0x0088, 0x0088, 0x0088, 0x0070, 0x0000 },     // b
		{ 0x0070, 0x0088, 0x0088, 0x0088, 0x0088, 0x0000 },     // c
		{ 0x0070, 0x0088, 0x0088, 0x0088, 0x00FE, 0x0000 },     // d
		{ 0x0070, 0x00A8, 0x00A8, 0x00A8, 0x0030, 0x0000 },     // e
		{ 0x0008, 0x0008, 0x00FC, 0x000A, 0x000A, 0x0000 },     // f
		{ 0x0070, 0x0488, 0x0488, 0x0488, 0x03F0, 0x0000 },     // g
		{ 0x00FE, 0x0010, 0x0008, 0x0008, 0x00F0, 0x0000 },     // h
		{ 0x0000, 0x0088, 0x00FA, 0x0080, 0x0000, 0x0000 },     // i
		{ 0x0200, 0x0400, 0x0408, 0x03FA, 0x0000, 0x0000 },     // j
		{ 0x00FE, 0x0020, 0x0050, 0x0088, 0x0000, 0x0000 },     // k
		{ 0x0000, 0x0082, 0x00FE, 0x0080, 0x0000, 0x0000 },     // l
		{ 0x00F8, 0x0008, 0x00F0, 0x0008, 0x00F0, 0x0000 },     // m
		{ 0x00F8, 0x0010, 0x0008, 0x0008, 0x00F0, 0x0000 },     // n
		{ 0x0070, 0x0088, 0x0088, 0x0088, 0x0070, 0x0000 },     // o
		{ 0x07F0, 0x0088, 0x0088, 0x0088, 0x0070, 0x0000 },     // p
		{ 0x0070, 0x0088, 0x0088, 0x0088, 0x07F0, 0x0000 },     // q
		{ 0x0000, 0x00F8, 0x0010, 0x0008, 0x0008, 0x0000 },     // r
		{ 0x0090, 0x00A8, 0x00A8, 0x00A8, 0x0040, 0x0000 },     // s
		{ 0x0008, 0x0008, 0x007E, 0x0088, 0x0088, 0x0000 },     // t
		{ 0x0078, 0x0080, 0x0080, 0x0040, 0x00F8, 0x0000 },     // u
		{ 0x0038, 0x0040, 0x0080, 0x0040, 0x0038, 0x0000 },     // v
		{ 0x0078, 0x0080, 0x0060, 0x0080, 0x0078, 0x0000 },     // w
		{ 0x0088, 0x0050, 0x0020, 0x0050, 0x0088, 0x0000 },     // x
		{ 0x0078, 0x0480, 0x0480, 0x0480, 0x03F8, 0x0000 },     // y
		{ 0x0088, 0x00C8, 0x00A8, 0x0098, 0x0088, 0x0000 },     // z
		{ 0x0000, 0x0010, 0x006C, 0x0082, 0x0082, 0x0000 },     // {
		{ 0x0000, 0x0000, 0x00FE, 0x0000, 0x0000, 0x0000 },     // |
		{ 0x0082, 0x0082, 0x006C, 0x0010, 0x0000, 0x0000 },     // }
		{ 0x0004, 0x0002, 0x0004, 0x0008, 0x0004, 0x0000 }      // ~
};



// Dimensions of this font is 8 bits wide and 16 bits high with two blank
// lines top, bottom and the left and three blank on the right side.
// So overall its dimensions are 13 bits wide x 20 bits high.
const unsigned int fontTwo[95][13]={
		{ 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },        //
		{ 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x000001F0, 0x0000CFFC, 0x0000CFFC, 0x000001F0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },        // !
		{ 0x00000000, 0x00000000, 0x00000000, 0x000000F0, 0x000000F0, 0x00000000, 0x00000000, 0x000000F0, 0x000000F0, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },        // "
		{ 0x00000000, 0x00000800, 0x00007840, 0x00007E40, 0x00000FC0, 0x000009F8, 0x00007878, 0x00007E40, 0x00000FC0, 0x000009F8, 0x00000078, 0x00000040, 0x00000000 },        // #
		{ 0x00000000, 0x00000000, 0x000011E0, 0x000033F0, 0x00003330, 0x0000FFFC, 0x0000FFFC, 0x00003330, 0x00003F30, 0x00001E20, 0x00000000, 0x00000000, 0x00000000 },        // $
		{ 0x00000000, 0x0000C000, 0x0000E0E0, 0x000070E0, 0x000038E0, 0x00001C00, 0x00000E00, 0x00000700, 0x0000E380, 0x0000E1C0, 0x0000E0E0, 0x00000070, 0x00000000 },        // %
		{ 0x00000000, 0x00000000, 0x00007C00, 0x0000FEE0, 0x0000C7F0, 0x00008718, 0x0000DF88, 0x000078F8, 0x00007070, 0x0000D800, 0x00008800, 0x00000000, 0x00000000 },        // &
		{ 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x0000009C, 0x000000FC, 0x0000007C, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },        // '
		{ 0x00000000, 0x00000000, 0x00000000, 0x00000FC0, 0x00003FF0, 0x00007FF8, 0x0000E01C, 0x00008004, 0x00008004, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },        // (
		{ 0x00000000, 0x00000000, 0x00000000, 0x00008004, 0x00008004, 0x0000E01C, 0x00007FF8, 0x00003FF0, 0x00000FC0, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },        // )
		{ 0x00000000, 0x00000000, 0x00003260, 0x00003AE0, 0x00000F80, 0x00003FE0, 0x00003FE0, 0x00000F80, 0x00003AE0, 0x00003260, 0x00000000, 0x00000000, 0x00000000 },        // *
		{ 0x00000000, 0x00000000, 0x00000600, 0x00000600, 0x00000600, 0x00003FC0, 0x00003FC0, 0x00000600, 0x00000600, 0x00000600, 0x00000000, 0x00000000, 0x00000000 },        // +
		{ 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x0002E000, 0x0003E000, 0x0001E000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },        // ,
		{ 0x00000000, 0x00000000, 0x00000600, 0x00000600, 0x00000600, 0x00000600, 0x00000600, 0x00000600, 0x00000600, 0x00000600, 0x00000000, 0x00000000, 0x00000000 },        // -
		{ 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x0000E000, 0x0000E000, 0x0000E000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },        // .
		{ 0x00000000, 0x00006000, 0x00007000, 0x00003800, 0x00001C00, 0x00000E00, 0x00000700, 0x00000380, 0x000001C0, 0x000000E0, 0x00000070, 0x00000038, 0x00000000 },        // /
		{ 0x00000000, 0x00001FE0, 0x00007FF8, 0x00007818, 0x0000CC0C, 0x0000C60C, 0x0000C30C, 0x0000C18C, 0x0000C0CC, 0x00006078, 0x00007FF8, 0x00001FE0, 0x00000000 },        // 0 - with a slash
		{ 0x00000000, 0x00000000, 0x00000000, 0x0000C030, 0x0000C030, 0x0000C038, 0x0000FFFC, 0x0000FFFC, 0x0000C000, 0x0000C000, 0x0000C000, 0x00000000, 0x00000000 },        // 1
		{ 0x00000000, 0x0000C070, 0x0000E078, 0x0000F01C, 0x0000F80C, 0x0000DC0C, 0x0000CE0C, 0x0000C70C, 0x0000C38C, 0x0000C1DC, 0x0000C0F8, 0x0000C070, 0x00000000 },        // 2
		{ 0x00000000, 0x00003030, 0x00007038, 0x0000E01C, 0x0000C30C, 0x0000C30C, 0x0000C30C, 0x0000C30C, 0x0000C30C, 0x0000E79C, 0x00007DF8, 0x000038F0, 0x00000000 },        // 3
		{ 0x00000000, 0x00000F00, 0x00000F80, 0x00000DC0, 0x00000CE0, 0x00000C70, 0x00000C38, 0x00000C1C, 0x0000FFFC, 0x0000FFFC, 0x00000C00, 0x00000C00, 0x00000000 },        // 4
		{ 0x00000000, 0x000030FC, 0x000071FC, 0x0000E18C, 0x0000C18C, 0x0000C18C, 0x0000C18C, 0x0000C18C, 0x0000C18C, 0x0000E38C, 0x00007F0C, 0x00003E0C, 0x00000000 },        // 5
		{ 0x00000000, 0x00003F00, 0x00007FC0, 0x0000E7E0, 0x0000C370, 0x0000C338, 0x0000C31C, 0x0000C30C, 0x0000C30C, 0x0000E70C, 0x00007E00, 0x00003C00, 0x00000000 },        // 6
		{ 0x00000000, 0x0000000C, 0x0000000C, 0x0000000C, 0x0000C00C, 0x0000F00C, 0x00003C0C, 0x00000F0C, 0x000003CC, 0x000000FC, 0x0000003C, 0x0000000C, 0x00000000 },        // 7
		{ 0x00000000, 0x00003C00, 0x00007EF0, 0x0000E7F8, 0x0000C39C, 0x0000C30C, 0x0000C30C, 0x0000C30C, 0x0000C39C, 0x0000E7F8, 0x00007EF0, 0x00003C00, 0x00000000 },        // 8
		{ 0x00000000, 0x000000F0, 0x000001F8, 0x0000C39C, 0x0000C30C, 0x0000C30C, 0x0000E30C, 0x0000730C, 0x00003B0C, 0x00001F9C, 0x00000FF8, 0x000003F0, 0x00000000 },        // 9
		{ 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x000071C0, 0x000071C0, 0x000071C0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },        // :
		{ 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x000271C0, 0x0003F1C0, 0x0001F1C0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },        // ;
		{ 0x00000000, 0x00000000, 0x00000300, 0x00000780, 0x00000FC0, 0x00001CE0, 0x00003870, 0x00007038, 0x0000E01C, 0x0000C00C, 0x00000000, 0x00000000, 0x00000000 },        // <
		{ 0x00000000, 0x00000000, 0x00001980, 0x00001980, 0x00001980, 0x00001980, 0x00001980, 0x00001980, 0x00001980, 0x00001980, 0x00001980, 0x00000000, 0x00000000 },        // =
		{ 0x00000000, 0x00000000, 0x0000C00C, 0x0000E01C, 0x00007038, 0x00003870, 0x00001CE0, 0x00000FC0, 0x00000780, 0x00000300, 0x00000000, 0x00000000, 0x00000000 },        // >
		{ 0x00000000, 0x00000070, 0x00000078, 0x0000001C, 0x0000000C, 0x0000DE0C, 0x0000DF0C, 0x0000038C, 0x000001DC, 0x000000F8, 0x00000070, 0x00000000, 0x00000000 },        // ?
		{ 0x00000000, 0x00003FE0, 0x00007FF8, 0x0000601C, 0x0000CFCC, 0x0000DFEC, 0x0000D86C, 0x0000DFEC, 0x0000DFEC, 0x0000D81C, 0x00000FF8, 0x000007E0, 0x00000000 },        // @
		{ 0x00000000, 0x0000E000, 0x0000FC00, 0x00001F80, 0x00001BF0, 0x0000187C, 0x0000187C, 0x00001BF0, 0x00001F80, 0x0000FC00, 0x0000E000, 0x00000000, 0x00000000 },        // A
		{ 0x00000000, 0x0000FFFC, 0x0000FFFC, 0x0000C30C, 0x0000C30C, 0x0000C30C, 0x0000C30C, 0x0000C39C, 0x0000E7F8, 0x00007EF0, 0x00003C00, 0x00000000, 0x00000000 },        // B
		{ 0x00000000, 0x00000FC0, 0x00003FF0, 0x00007038, 0x0000E01C, 0x0000C00C, 0x0000C00C, 0x0000C00C, 0x0000E01C, 0x00007038, 0x00003030, 0x00000000, 0x00000000 },        // C
		{ 0x00000000, 0x0000FFFC, 0x0000FFFC, 0x0000C00C, 0x0000C00C, 0x0000C00C, 0x0000C00C, 0x0000E01C, 0x00007038, 0x00003FF0, 0x00000FC0, 0x00000000, 0x00000000 },        // D
		{ 0x00000000, 0x0000FFFC, 0x0000FFFC, 0x0000C30C, 0x0000C30C, 0x0000C30C, 0x0000C30C, 0x0000C30C, 0x0000C30C, 0x0000C00C, 0x0000C00C, 0x00000000, 0x00000000 },        // E
		{ 0x00000000, 0x0000FFFC, 0x0000FFFC, 0x0000030C, 0x0000030C, 0x0000030C, 0x0000030C, 0x0000030C, 0x0000030C, 0x0000000C, 0x0000000C, 0x00000000, 0x00000000 },        // F
		{ 0x00000000, 0x00000FC0, 0x00003FF0, 0x00007038, 0x0000E01C, 0x0000C00C, 0x0000C30C, 0x0000C30C, 0x0000C30C, 0x0000FF1C, 0x0000FF18, 0x00000000, 0x00000000 },        // G
		{ 0x00000000, 0x0000FFFC, 0x0000FFFC, 0x00000300, 0x00000300, 0x00000300, 0x00000300, 0x00000300, 0x00000300, 0x0000FFFC, 0x0000FFFC, 0x00000000, 0x00000000 },        // H
		{ 0x00000000, 0x00000000, 0x00000000, 0x0000C00C, 0x0000C00C, 0x0000FFFC, 0x0000FFFC, 0x0000C00C, 0x0000C00C, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },        // I
		{ 0x00000000, 0x00003800, 0x00007800, 0x0000E000, 0x0000C000, 0x0000C000, 0x0000C000, 0x0000C000, 0x0000E000, 0x00007FFC, 0x00001FFC, 0x00000000, 0x00000000 },        // J
		{ 0x00000000, 0x0000FFFC, 0x0000FFFC, 0x00000300, 0x00000780, 0x00000FC0, 0x00001CE0, 0x00003870, 0x00007038, 0x0000E01C, 0x0000C00C, 0x00000000, 0x00000000 },        // K
		{ 0x00000000, 0x0000FFFC, 0x0000FFFC, 0x0000C000, 0x0000C000, 0x0000C000, 0x0000C000, 0x0000C000, 0x0000C000, 0x0000C000, 0x0000C000, 0x00000000, 0x00000000 },        // L
		{ 0x00000000, 0x0000FFFC, 0x0000FFFC, 0x00000078, 0x000001E0, 0x00000780, 0x00000780, 0x000001E0, 0x00000078, 0x0000FFFC, 0x0000FFFC, 0x00000000, 0x00000000 },        // M
		{ 0x00000000, 0x0000FFFC, 0x0000FFFC, 0x00000038, 0x000000E0, 0x000003C0, 0x00000F00, 0x00001C00, 0x00007000, 0x0000FFFC, 0x0000FFFC, 0x00000000, 0x00000000 },        // N
		{ 0x00000000, 0x00000FC0, 0x00003FF0, 0x00007038, 0x0000E01C, 0x0000C00C, 0x0000C00C, 0x0000E01C, 0x00007038, 0x00003FF0, 0x00000FC0, 0x00000000, 0x00000000 },        // O
		{ 0x00000000, 0x0000FFFC, 0x0000FFFC, 0x0000060C, 0x0000060C, 0x0000060C, 0x0000060C, 0x0000060C, 0x0000071C, 0x000003F8, 0x000001F0, 0x00000000, 0x00000000 },        // P
		{ 0x00000000, 0x00000FC0, 0x00003FF0, 0x00007038, 0x0000E01C, 0x0000C00C, 0x0000D80C, 0x0000F81C, 0x00007038, 0x0000FFF0, 0x0000CFC0, 0x00000000, 0x00000000 },        // Q
		{ 0x00000000, 0x0000FFFC, 0x0000FFFC, 0x0000060C, 0x0000060C, 0x00000E0C, 0x00001E0C, 0x00003E0C, 0x0000771C, 0x0000E3F8, 0x0000C1F0, 0x00000000, 0x00000000 },        // R
		{ 0x00000000, 0x000030F0, 0x000071F8, 0x0000E39C, 0x0000C30C, 0x0000C30C, 0x0000C30C, 0x0000C30C, 0x0000E71C, 0x00007E38, 0x00003C30, 0x00000000, 0x00000000 },        // S
		{ 0x00000000, 0x00000000, 0x0000000C, 0x0000000C, 0x0000000C, 0x0000FFFC, 0x0000FFFC, 0x0000000C, 0x0000000C, 0x0000000C, 0x00000000, 0x00000000, 0x00000000 },        // T
		{ 0x00000000, 0x00001FFC, 0x00007FFC, 0x0000E000, 0x0000C000, 0x0000C000, 0x0000C000, 0x0000C000, 0x0000E000, 0x00007FFC, 0x00001FFC, 0x00000000, 0x00000000 },        // U
		{ 0x00000000, 0x0000001C, 0x000000FC, 0x000007E0, 0x00003F00, 0x0000F800, 0x0000F800, 0x00003F00, 0x000007E0, 0x000000FC, 0x0000001C, 0x00000000, 0x00000000 },        // V
		{ 0x00000000, 0x0000FFFC, 0x0000FFFC, 0x00007000, 0x00001800, 0x00000E00, 0x00000E00, 0x00001800, 0x00007000, 0x0000FFFC, 0x0000FFFC, 0x00000000, 0x00000000 },        // W
		{ 0x00000000, 0x0000C00C, 0x0000F03C, 0x00003870, 0x00000CC0, 0x00000780, 0x00000780, 0x00000CC0, 0x00003870, 0x0000F03C, 0x0000C00C, 0x00000000, 0x00000000 },        // X
		{ 0x00000000, 0x0000000C, 0x0000003C, 0x000000F0, 0x000003C0, 0x0000FF00, 0x0000FF00, 0x000003C0, 0x000000F0, 0x0000003C, 0x0000000C, 0x00000000, 0x00000000 },        // Y
		{ 0x00000000, 0x0000C00C, 0x0000F00C, 0x0000F80C, 0x0000CC0C, 0x0000C70C, 0x0000C38C, 0x0000C0CC, 0x0000C07C, 0x0000C03C, 0x0000C00C, 0x00000000, 0x00000000 },        // Z
		{ 0x00000000, 0x00000000, 0x00000000, 0x0000FFFC, 0x0000FFFC, 0x0000C00C, 0x0000C00C, 0x0000C00C, 0x0000C00C, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },        // [
		{ 0x00000000, 0x00000038, 0x00000070, 0x000000E0, 0x000001C0, 0x00000380, 0x00000700, 0x00000E00, 0x00001C00, 0x00003800, 0x00007000, 0x00006000, 0x00000000 },        // backslash
		{ 0x00000000, 0x00000000, 0x00000000, 0x0000C00C, 0x0000C00C, 0x0000C00C, 0x0000C00C, 0x0000FFFC, 0x0000FFFC, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },        // ]
		{ 0x00000000, 0x00000180, 0x000001C0, 0x000000E0, 0x00000070, 0x00000038, 0x0000001C, 0x00000038, 0x00000070, 0x000000E0, 0x000001C0, 0x00000180, 0x00000000 },        // ^
		{ 0x00000000, 0x00030000, 0x00030000, 0x00030000, 0x00030000, 0x00030000, 0x00030000, 0x00030000, 0x00030000, 0x00030000, 0x00030000, 0x00030000, 0x00000000 },        // _
		{ 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x000000F8, 0x000001F8, 0x00000138, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },        // `
		{ 0x00000000, 0x00007000, 0x0000F900, 0x0000CD80, 0x0000CD80, 0x0000CD80, 0x0000CD80, 0x0000CD80, 0x0000CD80, 0x0000FF80, 0x0000FF00, 0x00000000, 0x00000000 },        // a
		{ 0x00000000, 0x0000FFFC, 0x0000FFFC, 0x0000C300, 0x0000C180, 0x0000C180, 0x0000C180, 0x0000C180, 0x0000E380, 0x00007F00, 0x00003E00, 0x00000000, 0x00000000 },        // b
		{ 0x00000000, 0x00003E00, 0x00007F00, 0x0000E380, 0x0000C180, 0x0000C180, 0x0000C180, 0x0000C180, 0x0000C180, 0x00006300, 0x00002200, 0x00000000, 0x00000000 },        // c
		{ 0x00000000, 0x00003E00, 0x00007F00, 0x0000E380, 0x0000C180, 0x0000C180, 0x0000C180, 0x0000C380, 0x0000C300, 0x0000FFFC, 0x0000FFFC, 0x00000000, 0x00000000 },        // d
		{ 0x00000000, 0x00003E00, 0x00007F00, 0x0000EF80, 0x0000CD80, 0x0000CD80, 0x0000CD80, 0x0000CD80, 0x0000CD80, 0x00004F00, 0x00000600, 0x00000000, 0x00000000 },        // e
		{ 0x00000000, 0x00000300, 0x00000300, 0x0000FFF0, 0x0000FFF8, 0x0000031C, 0x0000030C, 0x0000030C, 0x0000000C, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },        // f
		{ 0x00000000, 0x00000E00, 0x00031F00, 0x00033B80, 0x00033180, 0x00033180, 0x00033180, 0x00033180, 0x00039980, 0x0001FF80, 0x0000FF80, 0x00000000, 0x00000000 },        // g
		{ 0x00000000, 0x0000FFFC, 0x0000FFFC, 0x00000300, 0x00000180, 0x00000180, 0x00000180, 0x00000380, 0x0000FF00, 0x0000FE00, 0x00000000, 0x00000000, 0x00000000 },        // h
		{ 0x00000000, 0x00000000, 0x00000000, 0x0000C000, 0x0000C180, 0x0000FFB0, 0x0000FFB0, 0x0000C000, 0x0000C000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },        // i
		{ 0x00000000, 0x00000000, 0x00000000, 0x00018000, 0x00038000, 0x00030000, 0x00030180, 0x0003FFB0, 0x0001FFB0, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },        // j
		{ 0x00000000, 0x00000000, 0x0000FFFC, 0x0000FFFC, 0x00000C00, 0x00001E00, 0x00003F00, 0x00007380, 0x0000E180, 0x0000C000, 0x00000000, 0x00000000, 0x00000000 },        // k
		{ 0x00000000, 0x00000000, 0x00000000, 0x0000C000, 0x0000C00C, 0x0000FFFC, 0x0000FFFC, 0x0000C000, 0x0000C000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },        // l
		{ 0x00000000, 0x0000FF80, 0x0000FF00, 0x00000380, 0x00000380, 0x0000FF00, 0x0000FF00, 0x00000380, 0x00000380, 0x0000FF00, 0x0000FE00, 0x00000000, 0x00000000 },        // m
		{ 0x00000000, 0x00000000, 0x0000FF80, 0x0000FF80, 0x00000180, 0x00000180, 0x00000180, 0x00000180, 0x00000380, 0x0000FF00, 0x0000FE00, 0x00000000, 0x00000000 },        // n
		{ 0x00000000, 0x00003E00, 0x00007F00, 0x0000E380, 0x0000C180, 0x0000C180, 0x0000C180, 0x0000C180, 0x0000E380, 0x00007F00, 0x00003E00, 0x00000000, 0x00000000 },        // o
		{ 0x00000000, 0x0003FF80, 0x0003FF80, 0x00003180, 0x00006180, 0x00006180, 0x00006180, 0x00006180, 0x00007380, 0x00003F00, 0x00001E00, 0x00000000, 0x00000000 },        // p
		{ 0x00000000, 0x00001E00, 0x00003F00, 0x00007380, 0x00006180, 0x00006180, 0x00006180, 0x00006180, 0x00003180, 0x0003FF80, 0x0003FF80, 0x00000000, 0x00000000 },        // q
		{ 0x00000000, 0x00000000, 0x0000FF80, 0x0000FF80, 0x00000300, 0x00000180, 0x00000180, 0x00000180, 0x00000180, 0x00000380, 0x00000300, 0x00000000, 0x00000000 },        // r
		{ 0x00000000, 0x00004700, 0x0000CF80, 0x0000CD80, 0x0000CD80, 0x0000CD80, 0x0000CD80, 0x0000FD80, 0x00007900, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },        // s
		{ 0x00000000, 0x00000180, 0x00000180, 0x00007FF8, 0x0000FFF8, 0x0000C180, 0x0000C180, 0x0000C180, 0x0000C000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },        // t
		{ 0x00000000, 0x00003F80, 0x00007F80, 0x0000E000, 0x0000C000, 0x0000C000, 0x0000C000, 0x0000C000, 0x00006000, 0x0000FF80, 0x0000FF80, 0x00000000, 0x00000000 },        // u
		{ 0x00000000, 0x00000180, 0x00000780, 0x00001E00, 0x00007800, 0x0000E000, 0x0000E000, 0x00007800, 0x00001E00, 0x00000780, 0x00000180, 0x00000000, 0x00000000 },        // v
		{ 0x00000000, 0x00001F80, 0x00007F80, 0x0000E000, 0x00007000, 0x00003F80, 0x00003F80, 0x00007000, 0x0000E000, 0x00007F80, 0x00001F80, 0x00000000, 0x00000000 },        // w
		{ 0x00000000, 0x0000C180, 0x0000E380, 0x00007700, 0x00003E00, 0x00001C00, 0x00003E00, 0x00007700, 0x0000E380, 0x0000C180, 0x00000000, 0x00000000, 0x00000000 },        // x
		{ 0x00000000, 0x00000000, 0x00000180, 0x00020780, 0x00039E00, 0x0001F800, 0x00007800, 0x00001E00, 0x00000780, 0x00000180, 0x00000000, 0x00000000, 0x00000000 },        // y
		{ 0x00000000, 0x0000C180, 0x0000E180, 0x0000F180, 0x0000D980, 0x0000CD80, 0x0000C780, 0x0000C380, 0x0000C180, 0x0000C080, 0x00000000, 0x00000000, 0x00000000 },        // z
		{ 0x00000000, 0x00000000, 0x00000200, 0x00000700, 0x00007FF0, 0x0000FDF8, 0x0001C01C, 0x0001800C, 0x0001800C, 0x0001800C, 0x00000000, 0x00000000, 0x00000000 },        // {
		{ 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x0000FFFC, 0x0000FFFC, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000 },        // |
		{ 0x00000000, 0x00000000, 0x0001800C, 0x0001800C, 0x0001800C, 0x0001C01C, 0x0000FDF8, 0x00007FF0, 0x00000700, 0x00000200, 0x00000000, 0x00000000, 0x00000000 },        // }
		{ 0x00000000, 0x00000040, 0x00000060, 0x00000030, 0x00000010, 0x00000030, 0x00000060, 0x00000040, 0x00000060, 0x00000030, 0x00000010, 0x00000000, 0x00000000 }         // ~
};



